#ifndef BISON_Y_TAB_H
# define BISON_Y_TAB_H

#ifndef YYSTYPE
typedef union
{
// The type of the basic tokens returned by the lexer.
  token *tok_val;

// Types for the nonterminals we generate.
  char sep_type;
  tree *tree_type;
  tree_matrix *tree_matrix_type;
  tree_matrix_row *tree_matrix_row_type;
  tree_expression *tree_expression_type;
  tree_constant *tree_constant_type;
  tree_identifier *tree_identifier_type;
  tree_indirect_ref *tree_indirect_ref_type;
  tree_function *tree_function_type;
  tree_index_expression *tree_index_expression_type;
  tree_colon_expression *tree_colon_expression_type;
  tree_argument_list *tree_argument_list_type;
  tree_parameter_list *tree_parameter_list_type;
  tree_command *tree_command_type;
  tree_if_command *tree_if_command_type;
  tree_if_clause *tree_if_clause_type;
  tree_if_command_list *tree_if_command_list_type;
  tree_switch_command *tree_switch_command_type;
  tree_switch_case *tree_switch_case_type;
  tree_switch_case_list *tree_switch_case_list_type;
  tree_global *tree_global_type;
  tree_global_init_list *tree_global_init_list_type;
  tree_global_command *tree_global_command_type;
  tree_statement *tree_statement_type;
  tree_statement_list *tree_statement_list_type;
  tree_plot_command *tree_plot_command_type;
  subplot *subplot_type;
  subplot_list *subplot_list_type;
  plot_limits *plot_limits_type;
  plot_range *plot_range_type;
  subplot_using *subplot_using_type;
  subplot_style *subplot_style_type;
  subplot_axes *subplot_axes_type;
} yystype;
# define YYSTYPE yystype
#endif
# define	EXPR_AND_AND	257
# define	EXPR_OR_OR	258
# define	EXPR_AND	259
# define	EXPR_OR	260
# define	EXPR_NOT	261
# define	EXPR_LT	262
# define	EXPR_LE	263
# define	EXPR_EQ	264
# define	EXPR_NE	265
# define	EXPR_GE	266
# define	EXPR_GT	267
# define	LEFTDIV	268
# define	EMUL	269
# define	EDIV	270
# define	ELEFTDIV	271
# define	EPLUS	272
# define	EMINUS	273
# define	QUOTE	274
# define	TRANSPOSE	275
# define	PLUS_PLUS	276
# define	MINUS_MINUS	277
# define	POW	278
# define	EPOW	279
# define	NUM	280
# define	IMAG_NUM	281
# define	NAME	282
# define	SCREW	283
# define	END	284
# define	PLOT	285
# define	TEXT	286
# define	STYLE	287
# define	AXES_TAG	288
# define	FOR	289
# define	WHILE	290
# define	IF	291
# define	ELSEIF	292
# define	ELSE	293
# define	SWITCH	294
# define	CASE	295
# define	OTHERWISE	296
# define	BREAK	297
# define	CONTINUE	298
# define	FUNC_RET	299
# define	UNWIND	300
# define	CLEANUP	301
# define	TRY	302
# define	CATCH	303
# define	GLOBAL	304
# define	TEXT_ID	305
# define	LEXICAL_ERROR	306
# define	FCN	307
# define	SCREW_TWO	308
# define	ELLIPSIS	309
# define	ALL_VA_ARGS	310
# define	END_OF_INPUT	311
# define	USING	312
# define	TITLE	313
# define	WITH	314
# define	AXES	315
# define	COLON	316
# define	OPEN_BRACE	317
# define	CLOSE_BRACE	318
# define	CLEAR	319
# define	UNARY	320


extern YYSTYPE yylval;

#endif /* not BISON_Y_TAB_H */
